package com.hzya.frame.sys.moduleNew.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

/**
 * @description: 系统菜单
 * @tableName: sys_module_new
 * @entityName: SysModuleNewEntity
 * @author: gjh
 * @history: 1.0
 */
public class SysModuleNewEntity {

    /**
     * Spring bean名称
     */
    private String id;
    /**
     * Spring bean名称
     */
    private String service_name;
    /**
     * 等级
     */
    private String lvl;
    /**
     * 名称
     */
    private String name;
    /**
     * 编码
     */
    private String code;
    /**
     * 类型  0、menu 1、tree  2、list 3、view
     */
    private String form_type;
    /**
     * 模块操作级别Superadministrator
     */
    private String level;
    /**
     * 模块图标
     */
    private String icon;
    /**
     * 上级id
     */
    private String up_ids;
    /**
     * bean表名称映射key
     */
    private String table_name;
    /**
     * 是否关键模块(Y是N否)
     */
    private String key_modular;
    /**
     * 跳转目标
     */
    private String target;
    /**
     * 排序编号
     */
    private Long sorts;
    /**
     * 备注
     */
    private String remark;
    /**
     * 菜单打开方式
     */
    private String open_type;
    /**
     * 表单ID
     */
    private String form_id;
    /**
     * 应用id
     */
    private String app_id;
    /**
     * 组织机构ID
     */
    private String org_id;

	private String create_user_id;
	private Date create_time;
	private String modify_user_id;
	private Date modify_time;
	private String sts;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getService_name() {
		return service_name;
	}

	public void setService_name(String service_name) {
		this.service_name = service_name;
	}

	public String getLvl() {
		return lvl;
	}

	public void setLvl(String lvl) {
		this.lvl = lvl;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getForm_type() {
		return form_type;
	}

	public void setForm_type(String form_type) {
		this.form_type = form_type;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getUp_ids() {
		return up_ids;
	}

	public void setUp_ids(String up_ids) {
		this.up_ids = up_ids;
	}

	public String getTable_name() {
		return table_name;
	}

	public void setTable_name(String table_name) {
		this.table_name = table_name;
	}

	public String getKey_modular() {
		return key_modular;
	}

	public void setKey_modular(String key_modular) {
		this.key_modular = key_modular;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public Long getSorts() {
		return sorts;
	}

	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOpen_type() {
		return open_type;
	}

	public void setOpen_type(String open_type) {
		this.open_type = open_type;
	}

	public String getForm_id() {
		return form_id;
	}

	public void setForm_id(String form_id) {
		this.form_id = form_id;
	}

	public String getApp_id() {
		return app_id;
	}

	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}

	public String getOrg_id() {
		return org_id;
	}

	public void setOrg_id(String org_id) {
		this.org_id = org_id;
	}

	public String getCreate_user_id() {
		return create_user_id;
	}

	public void setCreate_user_id(String create_user_id) {
		this.create_user_id = create_user_id;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getModify_user_id() {
		return modify_user_id;
	}

	public void setModify_user_id(String modify_user_id) {
		this.modify_user_id = modify_user_id;
	}

	public Date getModify_time() {
		return modify_time;
	}

	public void setModify_time(Date modify_time) {
		this.modify_time = modify_time;
	}

	public String getSts() {
		return sts;
	}

	public void setSts(String sts) {
		this.sts = sts;
	}
}
